.poligon {
    $pol: &;
    display: flex;
    height: 100vh;
    max-height: 500px;
    width: 100%;
    background-color: #ccc;
    position: relative;
    counter-reset: section;
    @include noSelection();
    
    &:hover {
        .marker__tip {
            opacity: 1;
        }
    }

    &__area {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-size: 100%;
    }

    .marker {
        width: 20px;
        height: 20px;
        border-radius: 50%;
        position: absolute;
        transform: translate(-50%, -50%);
        opacity: 0.8;
        

        &__tip {
            opacity: 0;
            position: absolute;
            top: -100%;
            left: 50%;
            padding: 0 10px;
            height: 20px;
            color: #fff;
            background-color: rgba(0, 0, 0, 0.8);
            transform: translateX(-50%);
            border-radius: 3px;
            display: flex;
            align-items: center;
            justify-content: center;
            transition: opacity 250ms ease;

            &::before {
                font-size: 14px;
                counter-increment: section;
                content: counter(section);
            }

            &:after {
                position: absolute;
                bottom: -6px;
                content: '';
                display: block;
                width: 0;
                height: 0;
                border-style: solid;
                border-width: 6px 5px 0 5px;
                border-color: rgba(0, 0, 0, 0.8) transparent transparent transparent;
                transform: translateX(-50%);
                left: 50%;
            }
        }
    }
}